* {
    margin: 0px;
    padding: 0px;
}

body {
    background-image: url(images/mainBG.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.body {
    background: rgba(0, 0, 0, 0.6);
    color: white;
    height: 100vh;
    overflow-y: scroll;
}

::-webkit-scrollbar {
    display: none;
}

nav {
    display: flex;
    padding: 10px;
    justify-content: center;
    background-image: linear-gradient(to bottom, rgb(21, 21, 37), rgb(36, 30, 45));
    color: white;
    font-family: "Science Gothic", sans-serif;
    align-items: center;
    position: sticky;
    top: 0px;
}

section {
    font-family: "Roboto Condensed", sans-serif;
}

.title {
    font-size: 40px;
}

.main {
    height: 60vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    color: whitesmoke;
}

.line {
    width: 35%;
    margin: 5px auto;
    border-bottom: 5px solid white;
    border-radius: 30%;
}

.main p {
    font-family: "Dancing Script", cursive;
    font-size: 2rem;
}

.main h1 {
    font-family: "Science Gothic", sans-serif;
    font-size: 4rem;
    animation: heading 1s 0.3s 1 reverse forwards;
}

.main h3 {
    font-size: 2.5rem;
}

@keyframes about {
    to {
        transform: translateX(-700px);
    }
}

@keyframes heading {
    to {
        transform: translateY(-700px);
    }
}

.about {
    height: 80vh;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px;
}

.aboutus {
    width: 50vh;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.aboutimg {
    width: 50vh;
}

.aboutimg img {
    width: 400px;
    border-radius: 15px;
}

.aboutus h2 {
    font-family: "Dancing Script", cursive;
    font-size: 2.8rem;
    animation: about 3s 0.3s 1 reverse forwards;
}

.aboutus p {
    font-family: 'Times New Roman', Times, serif;
    font-size: 1.2rem;
}

.contact {
    height: 45vh;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px;
}

.contact h2 {
    font-size: 2rem;
    font-family: "Dancing Script", cursive;
}

.details {
    display: flex;
    width: 70vw;
    gap: 10px;
    justify-content: space-evenly;
    align-items: center;
}

.logo {
    padding: 2px;
    width: 20px;
}

.call {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.social {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

a {
    color: white;
    padding: 5px;
    text-decoration: none;
}

a:hover {
    color: orangered;
}

.p {
    display: flex;
    justify-content: center;
    align-items: center;
}

footer {
    padding: 12px;
    color: whitesmoke;
    font-size: 1.3rem;
    text-align: center;
    background-image: linear-gradient(to bottom, rgb(21, 21, 37), rgb(36, 30, 45));
}


@media(max-width:900px) {
    .main h1 {
        font-size: 3rem;
    }

    .main h3 {
        font-size: 2rem;
    }

    .about {
        height: 65vh;
    }

    .aboutimg img {
        width: 300px;
    }
}

@media(max-width:800px) {
    .about {
        flex-direction: column-reverse;
        height: auto;
        width: auto;
        justify-content: center;
        align-items: center;
        gap: 15px;
    }

    .aboutus {
        width: auto;
        text-align: center;
        justify-content: center;
        height: 45vh;
    }

    .aboutimg {
        width: auto;
        padding: 10px;
    }

    .contact h2 {
        font-size: 1.4rem;
        margin-bottom: 15px;
    }
}

@media(max-width:700px) {
    .main h1 {
        font-size: 2.5rem;
    }

    .main h3 {
        font-size: 1.5rem;
    }

    .main p {
        font-size: 20px;
    }
}


@media(max-width:580px) {
    .title {
        font-size: 25px;
        padding: 1rem 10px;
    }

    .main {
        height: 60vh;
    }

    .main h1 {
        font-size: 1.7rem;
    }

    .main h3 {
        font-size: 1.1rem;
    }

    .main p {
        font-size: 15px;
    }
}

@media(max-width:400px) {
    .title {
        font-size: 20px;
    }
}